Generate Cart and Checkout URL for Quote

Generates a cart URL and a checkout URL for a specific quote based on the provided `quote_id`. You can only generate cart and checkout URLs for quotes in one of the following [statuses](#quote-statuses): * New (0) * In Process (2) * Updated by Customer (3) This endpoint will generate a checkout link for a quote even if it is configured to hide the checkout button on the Buyer Portal. You can use this to create an alternate checkout flow for your sales quotes.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

quote_idstringRequired

Request

This endpoint expects an object.

Response

OK
codedoubleDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS
metaobject

Errors

422
Unprocessable Entity Error